# Londo UI

The spectacular view. A component library for React web apps.

<img width="100%" src="./assets/londo.jpg" />

> **WARNING** This package is a work in progess. Initial release coming soon.

## Why

The primary purpose of this package is to support the Umbasa game engine and my other personal web projects. You may not want to install and use this directly, but if you are also building your own React components, you may find the source code useful.

## Features

- Optimized for Desktop: Components are compact and favor mouse and keyboard interaction.
- Ease of Styling: Supports [styled-system](https://styled-system.com/) props to apply styles based on structured values defined in the global theme object.
- Flexible and Composable: Built on top of primitive layout components like `Box`, `Flex`, and `Grid`.
- Dark Mode: Components use a dark color scheme by default, but a light theme is also available if you wish to restore your humanity.

## Install

Install the package and its peer dependencies with your package manager of choice:

```bash
npm install londo-ui react react-dom styled-components
```

```bash
yarn add londo-ui react react-dom styled-components
```

## Environment Support

- Modern desktop browsers

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/electron/electron_48x48.png" alt="Electron" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Electron |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| last 2 versions                                                                                                                                                                                      | last 2 versions                                                                                                                                                                                                  | last 2 versions                                                                                                                                                                                              | last 2 versions                                                                                                                                                                                              | last 2 versions                                                                                                                                                                                                      |

## License

MIT
