import { useDebounceState } from "../hooks";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";
export function Debouncer(_ref) {
  let {
    value,
    onChange,
    wait = 400,
    leading = false,
    children
  } = _ref;
  const [currentValue, setCurrentValue] = useDebounceState(value, onChange, wait, leading);
  return /*#__PURE__*/_jsx(_Fragment, {
    children: children({
      value: currentValue,
      onChange: setCurrentValue
    })
  });
}
if (process.env.NODE_ENV !== "production") {
  Debouncer.displayName = "Debouncer";
}