import { forwardRef } from "react";
import { space } from "styled-system";
import styled, { css } from "styled-components";
import { jsx as _jsx } from "react/jsx-runtime";
const StyledDivider = styled.div.withConfig({
  displayName: "divider__StyledDivider",
  componentId: "sc-14g16k7-0"
})(["line-height:", ";font-size:", "px;color:", ";background:", ";", " ", " ", " ", " ", ""], p => p.theme.lineHeights.base, p => p.theme.fontSizes.md, p => p.theme.colors.text, p => p.theme.colors.border.base, space, p => !p.children && css(["display:block;clear:both;width:100%;min-width:100%;height:1px;"]), p => p.children && css(["display:table;color:", ";font-size:", "px;font-weight:500;white-space:nowrap;text-align:center;background:transparent;&::before,&::after{display:table-cell;position:relative;top:50%;width:50%;transform:translateY(50%);border-top:", ";pointer-events:none;content:\"\";}", " ", ""], p.theme.colors.heading, p.theme.fontSizes.lg, p.theme.borders.base, p.align === "left" && css(["&::before{width:5%;}&::after{width:95%;}"]), p.align === "right" && css(["&::before{width:95%;}&::after{width:5%;}"])), p => p.dashed && css(["border-color:", ";border-style:dashed;border-width:1px 0 0;background:none;"], p.theme.colors.border.base), p => p.dashed && p.children && css(["border-top:0;&::before,&::after{border-style:dashed none none;}"]));
const InnerText = styled.span.withConfig({
  displayName: "divider__InnerText",
  componentId: "sc-14g16k7-1"
})(["display:inline-block;padding:0 1em;"]);
export const Divider = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    align = "center",
    dashed = false,
    children,
    ...rest
  } = _ref;
  return /*#__PURE__*/_jsx(StyledDivider, {
    ref: ref,
    ...rest,
    align: align,
    dashed: dashed,
    children: children ? /*#__PURE__*/_jsx(InnerText, {
      children: children
    }) : null
  });
});
if (process.env.NODE_ENV !== "production") {
  Divider.displayName = "Divider";
}