/// <reference types="react" />
import type * as CSS from "csstype";
import type { SpaceProps, LayoutProps, PositionProps, FlexboxProps, ColorProps, ResponsiveValue } from "styled-system";
import type { FlexProps } from "./flex";
export interface InputGroupProps extends FlexProps {
}
export interface InputElementProps extends Omit<React.HTMLAttributes<HTMLDivElement>, "color">, SpaceProps, LayoutProps, PositionProps, FlexboxProps, ColorProps {
    textTransform?: ResponsiveValue<CSS.Property.TextTransform>;
    pointerEvents?: ResponsiveValue<CSS.Property.PointerEvents>;
    cursor?: ResponsiveValue<CSS.Property.Cursor>;
}
export interface InputProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, "size" | "width" | "height" | "color" | "onChange">, SpaceProps, LayoutProps, FlexboxProps, ColorProps {
    as?: keyof JSX.IntrinsicElements;
    value?: any;
    defaultValue?: any;
    onChange?: (value: string, event: React.ChangeEvent<HTMLInputElement>) => void;
    isInvalid?: boolean;
    textTransform?: ResponsiveValue<CSS.Property.TextTransform>;
    pointerEvents?: ResponsiveValue<CSS.Property.PointerEvents>;
    cursor?: ResponsiveValue<CSS.Property.Cursor>;
}
declare const CompoundInput: import("react").ForwardRefExoticComponent<InputProps & import("react").RefAttributes<HTMLInputElement>> & {
    id: string;
    Group: import("react").ForwardRefExoticComponent<InputGroupProps & import("react").RefAttributes<HTMLDivElement>>;
    Prefix: import("react").ForwardRefExoticComponent<InputElementProps & import("react").RefAttributes<HTMLDivElement>> & {
        id: string;
    };
    Suffix: import("react").ForwardRefExoticComponent<InputElementProps & import("react").RefAttributes<HTMLDivElement>> & {
        id: string;
    };
};
export { CompoundInput as Input };
