import { forwardRef, useState } from "react";
import styled from "styled-components";
import { EyeOnIcon, EyeOffIcon } from "../icons";
import { Input } from "./input";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
const StyledSuffix = styled(Input.Suffix).withConfig({
  displayName: "password-input__StyledSuffix",
  componentId: "sc-bd1gmb-0"
})(["color:", ";pointer-events:auto;cursor:pointer;"], p => p.theme.colors.text);
const StyledGroup = styled(Input.Group).withConfig({
  displayName: "password-input__StyledGroup",
  componentId: "sc-bd1gmb-1"
})(["input:disabled ~ ", "{opacity:0.5;cursor:not-allowed;}"], StyledSuffix);
export const PasswordInput = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    className,
    disabled,
    ...rest
  } = _ref;
  const [visible, setVisible] = useState(false);
  const type = visible ? "text" : "password";
  const suffix = visible ? /*#__PURE__*/_jsx(EyeOnIcon, {}) : /*#__PURE__*/_jsx(EyeOffIcon, {});
  const handleVisibleChange = () => {
    if (!disabled) {
      setVisible(!visible);
    }
  };
  return /*#__PURE__*/_jsxs(StyledGroup, {
    className: className,
    children: [/*#__PURE__*/_jsx(Input, {
      ref: ref,
      ...rest,
      type: type,
      disabled: disabled
    }), /*#__PURE__*/_jsx(StyledSuffix, {
      onClick: handleVisibleChange,
      onMouseDown: e => e.preventDefault(),
      children: suffix
    })]
  });
});
if (process.env.NODE_ENV !== "production") {
  PasswordInput.displayName = "PasswordInput";
}