import { ThemeProvider as BaseThemeProvider } from "styled-components";
import { themes } from "../themes";
import { isString } from "../utils/type-util";
import { jsx as _jsx } from "react/jsx-runtime";
export function ThemeProvider(_ref) {
  let {
    theme = "dark",
    children
  } = _ref;
  const t = isString(theme) ? themes[theme] : theme;
  return /*#__PURE__*/_jsx(BaseThemeProvider, {
    theme: t,
    children: children
  });
}
if (process.env.NODE_ENV !== "production") {
  ThemeProvider.displayName = "ThemeProvider";
}