type RgbaColor = {
    r: number;
    g: number;
    b: number;
    a: number;
};
type HsvaColor = {
    h: number;
    s: number;
    v: number;
    a: number;
};
type HslaColor = {
    h: number;
    s: number;
    l: number;
    a: number;
};
export declare function getBrightness({ r, g, b }: RgbaColor): number;
export declare function isDarkColor(rgb: RgbaColor): boolean;
export declare function isValidColorHex(value: string, alpha?: boolean): boolean;
export declare function equalColorHex(first: string, second: string): boolean;
export declare function hexToRgba(hex: string): RgbaColor;
export declare function rgbaToHsva({ r, g, b, a }: RgbaColor): HsvaColor;
export declare function hsvaToRgba({ h, s, v, a }: HsvaColor): RgbaColor;
export declare function rgbaToHex({ r, g, b }: RgbaColor): string;
export declare function rgbStringToHex(rgbString: string): string;
export declare function hsvaToHsla({ h, s, v, a }: HsvaColor): HslaColor;
export declare function hsvaToHslString(hsva: HsvaColor): string;
export declare function hexToHsva(hex: string): HsvaColor;
export declare function hsvaToHex(hsva: HsvaColor): string;
export {};
